from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XIndexAccess

@runtime_checkable
class XLayerManager(XIndexAccess, Protocol):
    def insertNewByIndex(self, nIndex: int) -> XLayer: ...
    def attachShapeToLayer(self, xShape: XShape, xLayer: XLayer) -> None: ...
    def getLayerForShape(self, xShape: XShape) -> XLayer: ...
